:root {
    /* Main colours */
    --light-haze: #FDF9F4;
    --light-copper: #EEC396;
    --sunbeam-yellow: #FFE0B0;
    --midnight-violet: #231C31;
    --twilight-blue: #5B5983;

    /* Secondary colours */
    --light-green: #C6FFE1;
    --light-violet: #DDE5FF;
    --light-blue: #C2F3FF;
    --light-pink: #FFE2EE;

    /* Error / Alerts */
    --error-red: #ff6a6a;
}

/* General */
@font-face {
    font-family: 'Roobert Medium';
    src: url('files/roobert-medium.woff2') format('woff2'),
         url('files/roobert-medium.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: "DM Sans", Arial, sans-serif;
    background-color: var(--light-haze);
    margin: 0;
    padding: 5px 0 30px 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Roobert Medium", "DM Sans", Arial, sans-serif;
}

h1 {
    font-size: 1.8rem;
}

h2, h3, a, .language-switcher a {
    color: var(--midnight-violet);
}

a {
    text-decoration: underline;
    cursor: pointer;
    transition: all .35s ease-in-out;
}

a:hover, .language-switcher a:hover {
    text-decoration: none;
    color: var(--twilight-blue);
}

/* Header */
.header {
    padding: 1rem 0 0.7rem 0;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
}

.header-inner {
    max-width: 50%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img {
    height: 26px;
}

.language-switcher a {
    margin: 0 .3rem;
    text-decoration: none;
    font-weight: bold;
    transition: all .35s ease-in-out;
}

/* Hero */
.hero {
    background-color: var(--midnight-violet);
    color: var(--light-haze);
    padding: 30px 0;
}

.hero-inner {
    width: 50%;
    margin: 0 auto;
}

/* Main */
main {
    width: 50%;
    margin: 0 auto;
    padding: 30px 0 0 0;
}

/* Forms */
form {
    background-color: #fff;
    margin: 30px 0;
    padding: 30px;
    border-radius: 5px;
}

label {
    display: block;
    margin-bottom: 5px;
}

main input[type="text"],
main input[type="email"],
main input[type="tel"],
main input[type="number"],
main textarea,
main select {
    width: 95%;
    padding: 12px 20px;
    border: 1px solid var(--light-violet);
    border-radius: 5px;
    margin-bottom: 20px;
    font-size: 16px;
}

main select {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    width: 100%;
    border-radius: 5px;
    background-color: #fff;
    background-image: url('images/chevron-down-solid.svg');
    background-position: 97% 50%;
    background-repeat: no-repeat;
    background-size: 15px;
}

textarea {
    height: 100px;
}

.asterix {
    margin-left: 5px;
    color: var(--error-red);
}

.error-message {
    background-color: var(--error-red);
    color: var(--light-haze);
    padding: 14px 20px;
    border-radius: 5px;
}

/* Buttons */
button {
    transition: all .35s ease-in-out;
    padding: 14px 28px;
    background-color: var(--twilight-blue);
    color: var(--light-haze);
    border: none;
    border-radius: 5px;
    font-family: 'Work Sans', Arial, sans-serif;
    font-size: 16px;
    cursor: pointer;
}

button:hover {
    background-color: var(--midnight-violet);
}

/* Footer */
footer {
    width: 50%;
    margin: 30px auto 0 auto;
}

footer p {
    background: var(--midnight-violet);
    margin: 0;
    padding: 30px;
    border-radius: 5px;
    color: var(--light-haze);
}

footer a {
    color: var(--light-haze);
}

footer a:hover {
    color: var(--light-haze);
}

/* Responsive */
@media screen and (max-width: 375px) {
    .logo img {
        height: 18px;
    }
}

@media screen and (max-width: 767px) {
    h1 {
        margin: 0.5rem 0;
        font-size: 1.6rem;
    }

    .header-inner {
        max-width: 90%;
    }

    .hero-inner,
    main,
    footer {
        width: 90%;
    }

    .header-logo {
        display: block;
        margin-bottom: 15px;
    }

    .link-previous-page {
        float: none;
        color: #a3a3a3;
    }

    form {
        padding: 20px;
    }

    main input[type="text"],
    main input[type="email"],
    main input[type="tel"], 
    main input[type="number"],
    main textarea {
        width: 83%;
    }

    main form select {
        background-position: 92% 50%;
    }
}